GNU/Linux Administration - Bug #402

OTP Error Showing Up in Zimbra Logs
06/09/2014 08:18 AM - Daniel Curtis

Status: Closed Start date: 06/09/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Mail Server Estimated time: 0.50 hour
Target version: Spent time: 0.50 hour
Description

| encountered a problem after viewing the Zimbra log file. The error stated:

Jun 29 03:12:45 chateau postfix/smtpd™%: OTP unavailable because can't
read/write key database /etc/opiekeys: Permission denied Jun 29 03:18:22
chateau postfix/smtpd'>*®: OTP unavailable because can't read/write key
database /etc/opiekeys: Permission denied Jun 29 03:23:55 chateau
postfix/smtpd'®”3: OTP unavailable because can't read/write key database
/etc/opiekeys: Permission denied Jun 29 04:18:25 chateau
postfix/smtpd”®'8: OTP unavailable because can't read/write key
database /etc/opiekeys: Permission denied Jun 29 16:07:11 chateau
postfix/smtpd™2: OTP unavailable because can't read/write key database
/etc/opiekeys: Permission denied Jun 29 16:07:17 chateau
postfix/smtpd™2: OTP unavailable because can't read/write key database
/etc/opiekeys: Permission denied Jun 29 16:13:30 chateau
postfix/smtpd®'2%: OTP unavailable because can't read/write key database
/etc/opiekeys: Permission denied ----8<----8<----

After looking around, | found a solution on the FreeBSD mailing list. | needed to recompile cyrus-sasl2 without OTP support. This
was done by running the following:

portsnap fetch extract

cd /usr/ports/security/cyrus-sasl?2
make config

make reinstall

NOTE: | needed to uncheck the OTP option when running make config

History

#1 - 06/11/2014 08:10 AM - Daniel Curtis
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#2 - 02/15/2015 08:46 PM - Daniel Curtis
- Project changed from 89 to GNU/Linux Administration

- Category set to Mail Server

04/10/2024 1/1



http://www.tcpdf.org

